package cn.com.ty.lift.business.project.dao.entity.model;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/11/28
 * @description 项目管理列表请求体
 */
@Data
public class ProjectRequest {
    /**
     * 省编码
     */
    private String provinceCode;
    /**
     * 市编码
     */
    private String cityCode;
    /**
     * 区编码
     */
    private String districtCode;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 项目地址
     */
    private String address;

    /**
     * 项目状态
     */
    private Byte projectStatus;

    /**
     * 甲方公司id
     */
    private Long ppCompanyId;

    /**
     * 甲方联系人id
     */
    private Long ppContactId;

    /**
     * 当前页码
     */
    private Integer pageNum;

    /**
     * 每页条数
     */
    private Integer pageSize;
}
