package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.entity.Announcement;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.mapper.AnnouncementMapper;
import cn.com.ty.lift.enterprise.oa.mapper.AttendanceMapper;
import com.baomidou.mybatisplus.core.injector.methods.SelectById;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 业务实现层 - 表：lift_certificate
 *
 * @since 2019-11-25 17:53:19
 */
@Service("announcementService")
public class AnnouncementService extends ServiceImpl<AnnouncementMapper,Announcement>{
    @Autowired
    private AnnouncementMapper announcementMapper;

    public IPage<Announcement> selectByCondition(int pageNum, int pageSize,Long mtCompanyId) {
        IPage<Announcement> page = new Page<>(pageNum, pageSize);
        List<Announcement> lists = announcementMapper.selectByCondition(page, mtCompanyId);
        page.setRecords(lists);
        return page;
    }
}